/*
**
*******************************************************************************
**
**
**		Copyright (c) 2004/2005 - Atmel Corporation
**		L
**
**  -
**
** ATMEL - 2005
** SĂ̿ĳ ۸т͂ǂȎނ̕ۏ؂Ȃ"󂻂̂"Œ񋟂܂B
** ATMEL͂ǂȖړIɑ΂Ă񋟂fނ̓K۔F܂BATMEL͑SĂ̈
** ٓIȕۏ؁AړIւ̓KALA@܂݁A񋟂ĳɊ֘A
** SĂ̕ۏ؂ƏŔ۔F܂B̿ĳ ۸т̎gp̌ʂł
** ĂAǂȊԐړIApIȑQA܂͂ǂȑQɑ΂ĂAƂɂ
** SATMELɐӔCȂł傤B
*******************************************************************************
**
*/

#ifndef _BOARD_H
#define _BOARD_H

/*_____ ` ________________________________________________________________*/

//---------------------------------------------------------------------------//
//	MCU߰Đ錾																 //
//---------------------------------------------------------------------------//

// ߰B
#define _LIN_RXD		0x01	// PB0(ICP1/CLKO/PCINT0)	*
#define _LED			0x02	// PB1(OC1A/PCINT1)			*
#define _PB2			0x04	// PB2(OC1B/SS/PCINT2)		*
#define _MOSI			0x08	// PB3(MOSI/OC2A/PCINT3)
#define _MISO			0x10	// PB4(MISO/PCINT4)
#define _SCK			0x20	// PB5(SCK/PCINT5)
#define _PB6			0x40	// PB6(TOSC1/XTALL1/PCINT6)	* ڑ
#define _PB7			0x80	// PB7(TOSC2/XTAL2/PCINT7)	* ڑ

// ߰C
#define _PC0			0x01	// PC0(ADC0/PCINT8)			*
#define _PC1			0x02	// PC1(ADC1/PCINT9)			*
#define _PC2			0x04	// PC2(ADC2/PCINT10)		*
#define _PC3			0x08	// PC3(ADC3/PCINT11)		*
#define _PC4			0x10	// PC4(ADC4/SDA/PCINT12)	* ڑ
#define _LIN_SLEEP		0x20	// PC5(ADC5/SCL/PCINT13)	*
#define _NRESET			0x40	// PC6(RESET/PCINT14)

// ߰D
#define _LIN_RXD_A		0x01	// PD0(RXD/PCINT16)			*
#define _LIN_TXD		0x02	// PD1(TXD/PCINT17)			*
#define _PD2			0x04	// PD2(INT0/PCINT18)		*
#define _PD3			0x08	// PD3(INT1/OC2B/PCINT19)	*
#define _PD4			0x10	// PD4(T0/XCK/PCINT20)		*
#define _PD5			0x20	// PD5(T1/OC0B/PCINT21)		*
#define _PD6			0x40	// PD6(AIN0/OC0A/PCINT22)	*
#define _PD7			0x80	// PD7(AIN1/PCINT2)			*


//---------------------------------------------------------------------------//
//	MCU苖/֎~ϸ														 //
//---------------------------------------------------------------------------//
#define ENABLE_LIN()	(DDRC|=_LIN_SLEEP , PORTC |=_LIN_SLEEP)
#define DISABLE_LIN()	(DDRC |=_LIN_SLEEP , PORTC &=~_LIN_SLEEP)

//---------------------------------------------------------------------------//
//	MCU߰Č`Ԑݒϸ														 //
//---------------------------------------------------------------------------//

#define CONFIG_PORTB()		(DDRB   = _MISO | _LED , PORTB =  _LIN_RXD )
#define CONFIG_PORTC()		(DDRC   = _LIN_SLEEP ,  PORTC  = _LIN_SLEEP )
#define CONFIG_PORTD()		(DDRD   = _LIN_TXD , PORTD  = _LIN_TXD | _LIN_RXD_A )

#define CONFIG_IO_PORTS()	(CONFIG_PORTB(),CONFIG_PORTC() ,CONFIG_PORTD())

//---------------------------------------------------------------------------//
//	MCUoϸ															 //
//---------------------------------------------------------------------------//
#define SET_LIN_TXD()		(PORTD |= _LIN_TXD )
#define SET_LED()			(PORTB |= _LED )
#define RESET_LED()			(PORTB &= ~_LED )

#define RESET_LIN_TXD()		(PORTD &= ~_LIN_TXD )

#endif  /* _BOARD_H */




