/*
**
****************************************************************************
**
**
**		Copyright (c) 2004 - Atmel Corporation
**		L
**
** 		: AVR LIN]u
** 		: runtime_calibration_lib.h
** 		: LIN1.3ŏ]u(ײ)
**
** : t:	  : :
** 1.0 16.11.2004 E.G.  쐬
**
**  -
**
** ATMEL - 2004
** SĂ̿ĳ ۸т͂ǂȎނ̕ۏ؂Ȃ"󂻂̂"Œ񋟂܂B
** ATMEL͂ǂȖړIɑ΂Ă񋟂fނ̓K۔F܂BATMEL͑SĂ̈
** ٓIȕۏ؁AړIւ̓KALA@܂݁A񋟂ĳɊ֘A
** SĂ̕ۏ؂ƏŔ۔F܂B̿ĳ ۸т̎gp̌ʂł
** ĂAǂȊԐړIApIȑQA܂͂ǂȑQɑ΂ĂAƂɂ
** SATMELɐӔCȂł傤B
****************************************************************************
**
*/

#ifndef _RUNTIME_CALIBRATION_LIB_H_
#define _RUNTIME_CALIBRATION_LIB_H_

/*_____ ݸٰ ̧ ________________________________________________________*/
#include "config.h"
#include "lib_mcu/timer/timer1_lib.h"
#if LIN_CONFIG == 1						// 1:]u, 0:呕u
#include "lib_mcu/lin_uart/slave_lin.h"
#endif

#ifdef _RUN_TIME_RC_CALIBRATION_ENABLE
extern volatile U8 osccal_start;
extern volatile U8 _lin_synchronized;	// LIN͎呕uƓ܂B
#endif

/*_____ 萔` ____________________________________________________________*/
/**/
#if LIN_BAUDRATE == 19200
#define EXPECTED_TBIT				833					// 呕uޯĎԁ~2
#define TBIT_DIFF_THRESHOLD_MAX		(signed int)  18
#define TBIT_DIFF_THRESHOLD_MIN		(signed int) -18
#elif  LIN_BAUDRATE == 9600
#define EXPECTED_TBIT				1667				// 呕uޯĎԁ~2
#define TBIT_DIFF_THRESHOLD_MAX		(signed int)  29
#define TBIT_DIFF_THRESHOLD_MIN		(signed int) -29
#elif  LIN_BAUDRATE == 2400
#define EXPECTED_TBIT				6667				// 呕uޯĎԁ~2
#define TBIT_DIFF_THRESHOLD_MAX		(signed int)  146
#define TBIT_DIFF_THRESHOLD_MIN		(signed int) -123
#else
#error "LIN baudrate not supported for RC calibration."
#endif

/*_____ ֐^錾 ________________________________________________________*/
void Start_Capturing (void);
void Timer_stop_capture(void);
#endif
