/*
**
****************************************************************************
**
**
**		Copyright (c) 2004/2005 - Atmel Corporation
**		L
**
** 		: AVR LIN (USART)
** 		: lin_drv.c
** 		: USARTͯ ̧ٗpLINײ
** ړIΏ	: ATMEGA48/88/168 and AT90CAN128
** ߲	: IAR Embedded Workbench 4.1
**
** : t:	  : :
** 1.0 5.1.2005   E.G.  쐬
**
**  -
**
** ATMEL - 2004/2005
** SĂ̿ĳ ۸т͂ǂȎނ̕ۏ؂Ȃ"󂻂̂"Œ񋟂܂B
** ATMEL͂ǂȖړIɑ΂Ă񋟂fނ̓K۔F܂BATMEL͑SĂ̈
** ٓIȕۏ؁AړIւ̓KALA@܂݁A񋟂ĳɊ֘A
** SĂ̕ۏ؂ƏŔ۔F܂B̿ĳ ۸т̎gp̌ʂł
** ĂAǂȊԐړIApIȑQA܂͂ǂȑQɑ΂ĂAƂɂ
** SATMELɐӔCȂł傤B
****************************************************************************
**
*/

#ifndef _LIN_DRV_H_
#define _LIN_DRV_H_

/*_____ ݸٰ ̧ ________________________________________________________*/
#include "config.h"
#include "lib_mcu/uart/uart_drv.h"
#include "lib_mcu/lin_uart/lin_bdr.h"
#include "lib_mcu/timer/timer2_lib.h"
#include "lib_mcu/lin_uart/runtime_calibration_lib.h"

#if LIN_CONFIG == 1						// 1:]u, 0:呕u
#include "lib_mcu/lin_uart/slave_lin.h"
#else
#include "lib_mcu/lin_uart/master_lin.h"
#endif

/*_____ 萔` ____________________________________________________________*/
// "_lin_status"ϐpޯĒ`
#define MSK_STATUS_RXOK			0x01	// ްM튮׸
#define MSK_STATUS_TXOK			0x02	// ްM튮׸
#define MSK_STATUS_IDOK			0x04	// ʎq튮׸
#define MSK_STATUS_ERR			0x08	// ُ픭׸
#define MSK_STATUS_BSY			0x10	// Z׸
// "_lin_err"ϐpޯĒ`
#define MSK_STATUS_ERRBIT		0x01	// ޯČ׸
#define MSK_STATUS_ERRCSUM		0x02	// ь׸
#define MSK_STATUS_ERRPARITY	0x04	// è׸
#define MSK_STATUS_ERRSYNCHRO	0x08	// ُ׸
#define MSK_STATUS_TIME_OUT		0x20	// Ԓ߈ُ׸
#define MSK_STATUS_SLEEP_MODE	0x40	// x~׸
// "_lin_state"ϐpԍ`
#define STATE_CHECK_BREAK		0x00	// f
#define STATE_CHECK_SYNC		0x01	// ޲
#define STATE_ID_TX				0x02	// ʎq޲đM
#define STATE_ID_RX				0x03	// ʎq޲ĎM
#define STATE_DATA_TX			0x04	// ް ޲đM
#define STATE_DATA_RX			0x05	// ް ޲ĎM
#define STATE_CRC_TX			0x06	//  ޲đM
#define STATE_CRC_RX			0x07	//  ޲ĎM
#define STATE_SLEEP				0x08	// x~/N
// LINߕϐpԍ`
#define LIN_CF_M_TX				0x01	// 呕uM
#define LIN_CF_M_RX				0x02	// 呕uM
#define LIN_CF_S_TX				0x03	// ]uM
#define LIN_CF_S_RX				0x04	// ]uM
#define LIN_CF_S_WKUP			0x05	// N

//#define Lin_set_baudrate()  (  Uart_enable_it_rx(), \
 //     Uart_set_baudrate(UART_BAUDRATE_SYNC))

#define Lin_set_baudrate()	(Uart_set_baudrate(UART_BAUDRATE_SYNC))	//!< LINްڰĐݒ

#define Lin_enable()		(Uart_enable())							//!< USART荞݋

#define Lin_reset_index()	(_lin_index=0)							//! LINwWؾ
#define Lin_inc_index()		(_lin_index++)							//! LINwWis
#define Lin_set_data(data)	(_lin_tab_data[_lin_index] = data, _lin_index++)	//!< LINɏՕްݒ(wWis)
#define Lin_get_data()		(_lin_tab_data[_lin_index])				//!< ݂̎wWLINɏՕް擾
#define Lin_set_id(id)		(_lin_id = id)							//!< LINʎqݒ
#define Lin_get_id()		(_lin_id & 0x3F)						//!< è ޯĂȂLINʎq擾

#define Lin_cmds_txdata()	(Lin_set_baudrate(), \
  Uart_set_baudrate(UART_BAUDRATE_NORM), \
    Uart_send_byte(_lin_tab_data[0x00]), \
      _lin_status = MSK_STATUS_BSY, \
        _lin_cmd =LIN_CF_S_TX, \
          _lin_state = STATE_DATA_TX, \
            _lin_cpt = 0x01 , \
              _lin_crc = LIN_CalcChecksum(), \
                _lin_index--)

#define Lin_cmds_rxdata()			(_lin_status = MSK_STATUS_BSY, _lin_cmd =LIN_CF_S_RX)				//!< ]uMߏ
#define Lin_cmds_wkup()				( Uart_set_baudrate(UART_BAUDRATE_NORM), Uart_send_byte(0x80),_lin_status = MSK_STATUS_TXOK)	//!< Nvo
#define Lin_cmd_gotosleep()			( Uart_set_baudrate(UART_BAUDRATE_NORM), _lin_state = STATE_SLEEP)	//! go_to_sleepߑo
#define Lin_get_status()			(_lin_status & 0x1F)												//!< LINԎ擾
#define Lin_get_busy()				(_lin_status & MSK_STATUS_BSY)										//!< Z׸ނ̏Ԏ擾
#define Lin_get_error()				(_lin_err)															//!< LINُ擾
#define Lin_clear_status()			(_lin_status = 0)													//!< LINԉ
#define Lin_clear_error_status()	(_lin_err = 0)														//!< LINُ

U8 Lin_dlctonbyte(U8 _lin_id);
void Uart_set_baudrate(U16 expected_baudrate) ;
void Lin_cmdm_txdata(void);
void Lin_cmdm_rxdata(void);

/*_____ ^錾 ______________________________________________________________*/
extern volatile U8  _lin_id;
extern volatile U8  _lin_tab_data[8];
extern volatile U16 _lin_crc;
extern volatile U8  _lin_index;
extern volatile U8  _lin_status;
extern volatile U8  _lin_err ;
extern volatile U8  _lin_cmd;
extern volatile U8  _lin_state;
extern volatile U8  _lin_cpt;
#if LIN_CONFIG == 0						// 1:]u, 0:呕u
extern volatile  U8 lin_master_in_sleep_mode;
#endif

#endif /* _LIN_DRV_H_ */
