/*
**
*******************************************************************************
**
**
**		Copyright (c) 2004 - Atmel Corporation
**		L
**
** 		: AVR LIN
** 		: timer2_lib.c
** 		: /2ײ
**
** : t:	  : :
** 1.0 23.06.2005 EG
**
**  -
**
** ATMEL - 2004
** SĂ̿ĳ ۸т͂ǂȎނ̕ۏ؂Ȃ"󂻂̂"Œ񋟂܂B
** ATMEL͂ǂȖړIɑ΂Ă񋟂fނ̓K۔F܂BATMEL͑SĂ̈
** ٓIȕۏ؁AړIւ̓KALA@܂݁A񋟂ĳɊ֘A
** SĂ̕ۏ؂ƏŔ۔F܂B̿ĳ ۸т̎gp̌ʂł
** ĂAǂȊԐړIApIȑQA܂͂ǂȑQɑ΂ĂAƂɂ
** SATMELɐӔCȂł傤B
*******************************************************************************
**
*/

/*_____ ݸٰ ̧ ________________________________________________________*/
#include "lib_mcu/timer/timer2_lib.h"

extern U8 timout_ovf_cnt;		// T/C2gޯ(2400bps,8޲Čvp)

#ifdef _TIMOUT_DETECTION
/*------------------------------------------------*/
/* /n									  */
/*------------------------------------------------*/
void Timer2_start(U16 timout,U8 dlc){

  TIMSK2 = 1 << TOIE2;			// T/C2ꊄ荞݋

#ifndef TIMER_2_PRESCALER
#error "timer 2 prescaler not defined"
#endif

#if LIN_BAUDRATE == 2400
  if (dlc == 8 ) {				// 8޲ ްŁA
    timout_ovf_cnt = FALSE;		// T/C2ł̎Ԓߌow
  }else{						// 2܂4޲ ްŁA
    timout_ovf_cnt = TRUE;		// T/C2ł̎ԒߌoLw
  }
#endif

  TCNT2 = timout;			// 1ޯĎԂňlݒ

#if TIMER_2_PRESCALER == 256
#ifdef AT90CAN128_USED
  TCCR2A = (1<<CS22) | (1<<CS21);				// 256OuT/C2n
#else
  TCCR2B = (1<<CS22) | (1<<CS21);				// 256OuT/C2n
#endif

#elif TIMER_2_PRESCALER == 1024
#ifdef AT90CAN128_USED
  TCCR2A = (1<<CS22) | (1<<CS21) | (1<<CS20);	// 1024OuT/C2n
#else
  TCCR2B = (1<<CS22) | (1<<CS21) | (1<<CS20);	// 1024OuT/C2n
#endif

#else
#error "timer 2 prescaler value not supported (256 / 1024 only)"
#endif
}

/*------------------------------------------------*/
/* /~									  */
/*------------------------------------------------*/
void Timer2_stop(void){
  TIMSK2 &= ~(1 << TOIE2);		// T/C2ꊄ荞݋֎~
#ifdef AT90CAN128_USED
  TCCR2A = 0x00;				// T/C2~
#else
  TCCR2B = 0x00;				// T/C2~
#endif
}
#endif
